<id>
Add More Templates
</id>

<version>
1.2
</version>

<mod info>
Allows users to choose from Admin chosen templates.

For SP1/1.1

To add templates:
Simply make a new template file and give it a unique name.  Make a folder in your yabb folder named "Templates" and upload it to there.
Then go into your Admin menu, click add more templates.  Fill in the forms and your done.  Users can choose their template from their profile menus.

To Install:
Upload template.pl to your Sources directory and chmod 755
Upload templates.txt to your variables directory and chmod 666
Upload modified files

Version 1.0: Initial
Version 1.1: Templates are now stored in the Templates folder to make it neater.
Version 1.2: Now uses .tem fiel instead of .dat
</mod info>

<author>
Allanon
</author>

<homepage>
http://www.thenorthlands.com
</homepage>

<edit file>
Yabb.cgi
</edit file>

<search for>
#END FASTFIND *
</search for>

<add before>
	elsif ($action eq 'addtemplate') { require "$sourcedir/template.pl"; &Addtemplate; }
	elsif ($action eq 'addtemplate2') { require "$sourcedir/template.pl"; &Addtemplate2; }
</add before>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
        - <a href="$cgi;action=setcensor">$txt{'135'}</a>
</search for>

<replace>
        - <a href="$cgi;action=setcensor">$txt{'135'}</a><br>
	- <a href="$cgi;action=addtemplate">$temptext{'6'}</a>
</replace>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
sub ModifyProfile {
</search for>

<add after>
	fopen(FILE, "$vardir/templates.txt");
	@templates = <FILE>;
	fclose(FILE);
</add after>

<search for>
		else {
			$pic = $memsettings[13];
			$tmp = 'http://';
		}

</search for>

<add after>
	fopen(FILE, "$memberdir/$username.tem");
	@temsettings=<FILE>;
	fclose(FILE);
	$temsettings[0] =~ s~[\n\r]~~g;

		foreach $tempopt (@templates){
			($name, $file) = split (/\|/, $tempopt);
			$tchecked = "";
			if ($name ne '1;'){
				if ($file eq $temsettings[0]) { $tchecked = ' selected'; }
				$tempchoices .= qq~<option value="$file"$tchecked>$name\n~; }
		}
</add after>

<search for>
~;
	if ($allow_hide_email) {
		$yymain .= qq~
    <tr>
	<td width="320"><font size=2><b>$txt{'721'}</b></font></td>
	<td><input type="checkbox" name="hideemail" value="checked" $memsettings[19]></td>
    </tr>
~;
</search for>

<add before>
    <tr>
	<td width="320"><font size=2><b>$temptext{'7'}</b></font></td>
	<td><select name="template" size=1>$tempchoices</select>
    </tr>
</add before>

<search for>
		fopen( FILE, ">$memberdir/$member{'username'}.dat", 1);
</search for>

<add before>
		fopen( FILE, ">$memberdir/$member{'username'}.tem", 1);
		print FILE "$member{'template'}";
		fclose(FILE);
</add before>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
	fopen(TEMPLATE,"template.html") || die("$txt{'23'}: template.html");
	@yytemplate = <TEMPLATE>;
	fclose(TEMPLATE);
</search for>

<replace>
	if (! -e("$memberdir/$username.tem"))  {
	fopen(FILE, ">$memberdir/$username.tem");
	print FILE 'template.html';
	fclose(FILE); 
}
	fopen(FILE, "$memberdir/$username.tem");
	@temsettings=<FILE>;
	fclose(FILE);
	$temsettings[0] =~ s~[\n\r]~~g;
	$yyimages = $imagesdir;
	$templatepick = $temsettings[0];
	if ($temsettings[0] eq '') { $templatepick = './Templates/template.html'; }
	fopen(TEMPLATE, "./Templates/$templatepick") || die("$txt{'23'}: template.html");
	@yytemplate = <TEMPLATE>;
	fclose(TEMPLATE);
</replace>

<edit file>
english.lng
</edit file>

<search for>
1;
</search for>

<add before>
$temptext{'1'} = "Add more Templates";
$temptext{'2'} = "Template name (eg. Default)";
$temptext{'3'} = "File name (eg. template.html)";
$temptext{'4'} = "Submit";
$temptext{'5'} = "Reset";
$temptext{'6'} = "Add Templates";
$temptext{'7'} = "Choose your color scheme:";

</add before>